Subject: Guix's Eolie pushes google.com as default search and home page

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Wed, 17 Apr 2019 04:07:42 +0200

Guix,

After installing the eolie Web browser from Guix and opening it 
for the first time, it immediately loads www.google.com.  This was 
an unpleasant surprise to me (I lead a sheltered life) and I 
consider it a bug.

>From cursory source-pokin's it seems pretty trivial to change the 
default start page to guix.info or about:blank.

However, www.google.com is also used as the default search engine 
when the user mistypes a URL or searches from the navigation bar. 
Not good!  There doesn't seem to be a way to disable that, only to 
change the providers.

Built-in alternatives are DuckDuckGo and Qwant.  Are they any 
better?

Kind regards,

T G-R